summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-11-17 15:24:16 +0100
committerMichael Palimaka <kensington@gentoo.org>2016-11-27 03:14:01 +1100
commit6c41592f071af455074e646b1c670f8ec7e1e536 (patch)
tree916bc9193fed90183ad19a995060dfc96ebee975 /eclass
parentmail-mta/nullmailer: remove '+=' bashism from init.d script (diff)
downloadgentoo-6c41592f071af455074e646b1c670f8ec7e1e536.tar.gz
gentoo-6c41592f071af455074e646b1c670f8ec7e1e536.tar.bz2
gentoo-6c41592f071af455074e646b1c670f8ec7e1e536.zip
kde5-functions.eclass: Move *_MINIMAL setup here from kde5.eclass
Makes sure that 5.8 LTS stable branch does not raise FRAMEWORKS_MINIMAL Also bumping FRAMEWORKS_MINIMAL to 5.28.0 for >=Plasma-5.9
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde5-functions.eclass37
-rw-r--r--eclass/kde5.eclass27
2 files changed, 29 insertions, 35 deletions
diff --git a/eclass/kde5-functions.eclass b/eclass/kde5-functions.eclass
index a6bf976663b3..1724a6910b24 100644
--- a/eclass/kde5-functions.eclass
+++ b/eclass/kde5-functions.eclass
@@ -23,6 +23,35 @@ case ${EAPI} in
*) die "EAPI=${EAPI:-0} is not supported" ;;
esac
+# determine the build type
+if [[ ${PV} = *9999* ]]; then
+ KDE_BUILD_TYPE="live"
+else
+ KDE_BUILD_TYPE="release"
+fi
+export KDE_BUILD_TYPE
+
+case ${CATEGORY} in
+ kde-frameworks)
+ [[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
+ ;;
+ kde-plasma)
+ if [[ $(get_version_component_range 2) -eq 8 && $(get_version_component_range 3) -lt 50 ]]; then
+ : ${FRAMEWORKS_MINIMAL:=5.26.0} # special 5.8 LTS rule to not get overwritten below
+ elif ! [[ $(get_version_component_range 2) -le 8 && $(get_version_component_range 3) -lt 50 ]]; then
+ : ${FRAMEWORKS_MINIMAL:=5.28.0}
+ fi
+ [[ ${KDE_BUILD_TYPE} = live ]] && : ${FRAMEWORKS_MINIMAL:=9999}
+ ;;
+ kde-apps)
+ local vcr2=$((10#$(get_version_component_range 2)))
+ if ! [[ $(get_version_component_range 1) -le 16 && ${vcr2} -lt 9 ]]; then
+ : ${FRAMEWORKS_MINIMAL:=5.28.0}
+ fi
+ unset vcr2
+ ;;
+esac
+
# @ECLASS-VARIABLE: QT_MINIMAL
# @DESCRIPTION:
# Minimal Qt version to require for the package.
@@ -70,14 +99,6 @@ case ${KDE_SCM} in
*) die "KDE_SCM: ${KDE_SCM} is not supported" ;;
esac
-# determine the build type
-if [[ ${PV} = *9999* ]]; then
- KDE_BUILD_TYPE="live"
-else
- KDE_BUILD_TYPE="release"
-fi
-export KDE_BUILD_TYPE
-
# @FUNCTION: _check_gcc_version
# @INTERNAL
# @DESCRIPTION:
diff --git a/eclass/kde5.eclass b/eclass/kde5.eclass
index 9ef7c1514878..4876d7c3bc61 100644
--- a/eclass/kde5.eclass
+++ b/eclass/kde5.eclass
@@ -142,33 +142,6 @@ fi
case ${KDE_AUTODEPS} in
false) ;;
*)
- if [[ ${KDE_BUILD_TYPE} = live ]]; then
- case ${CATEGORY} in
- kde-frameworks)
- : ${FRAMEWORKS_MINIMAL:=9999}
- ;;
- kde-plasma)
-
- : ${FRAMEWORKS_MINIMAL:=9999}
- ;;
- *) ;;
- esac
- fi
-
- if [[ ${CATEGORY} = kde-plasma && ${FRAMEWORKS_MINIMAL} != 9999 ]]; then
- if ! [[ $(get_version_component_range 2) -le 8 && $(get_version_component_range 3) -lt 50 ]]; then
- : ${FRAMEWORKS_MINIMAL:=5.27.0}
- fi
- fi
-
- if [[ ${CATEGORY} = kde-apps ]]; then
- local vcr2=$((10#$(get_version_component_range 2)))
- if ! [[ $(get_version_component_range 1) -le 16 && ${vcr2} -lt 9 ]]; then
- : ${FRAMEWORKS_MINIMAL:=5.28.0}
- fi
- unset vcr2
- fi
-
DEPEND+=" $(add_frameworks_dep extra-cmake-modules)"
RDEPEND+=" >=kde-frameworks/kf-env-3"
COMMONDEPEND+=" $(add_qt_dep qtcore)"